function searchMemes() {
  let st = document.getElementById("searchTerm").value;
  let url = 'http://localhost/memes/search/' + st;
  fetch(url).then((response) => {
    return response.json();
  }).then((object) => { 
    let result = "";
    for (let i = 0; i < object.length; i ++) {
      result += '<img class="resultMeme" src="/' + object[i].fileName + '" />'
    }
    document.getElementById('theMemes').innerHTML = result;
  }).catch( (error) => {
    console.log(error);
  });
}

function loadAllMemes() {
  let url = 'http://localhost/memes/get';
  fetch(url).then((response) => {
    return response.json();
  }).then((object) =>{ 
    let result = "";
    for (let i = 0; i < object.length; i ++) {
      result += '<img class="resultMeme" src="/' + object[i].fileName + '" />'
    }
    document.getElementById('theMemes').innerHTML = result;
  }).catch( (error) => {
    console.log(error);
  });
}

window.onload = loadAllMemes();

function createMeme() {
  var t = document.getElementById('memeType').value;
  var topT = document.getElementById('top').value;
  var bottomT = document.getElementById('bottom').value;
  let url = 'http://localhost:80/creatememe';
  let info = { "template": t, "top": topT, "bottom": bottomT };
 
  let p = fetch(url, { 
    method: 'POST',
    body: JSON.stringify(info),
    headers: { 'Content-Type': 'application/json'}
  });

  p.then((response) => {
    return response.json();
  }).then((object) => { 
    document.getElementById('thePicture').src = object.name;
  }).catch( (error) => {
    console.log('THERE WAS A PROBLEM');
    console.log(error);
  });
}

